%define module_name Catmandu-MediaHaven
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cache/LRU.pm) perl(Catmandu.pm) perl(Cpanel/JSON/XS.pm) perl(Date/Parse.pm) perl(Getopt/Long.pm) perl(HTTP/Request.pm) perl(IO.pm) perl(IO/Socket/SSL.pm) perl(JSON.pm) perl(LWP.pm) perl(LWP/Simple.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(REST/Client.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Simple.pm) perl(URI/Escape.pm) perl(namespace/clean.pm) perl(Throwable/Error.pm) perl(Parser/MGC.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Tools to communicate with the Zeticon MediaHaven server
Group: Development/Perl
License: perl
URL: https://github.com/LibreCat/Catmandu-MediaHaven

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HO/HOCHSTEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The the Catmandu::MediaHaven manpage module is a low end interface to the MediaHaven
REST api. See also: https://archief.viaa.be/mediahaven-rest-api

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Wed Nov 22 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

